查询调拨单列表
POST
/erp/sc/routing/inventoryReceipt/StorageAllocation/getStorageAllocationList支持查询本地仓库调拨单列表
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryReceipt/StorageAllocation/getStorageAllocationList | HTTPS | POST | 1 |
请求参数
widstringto_widstringsearch_date_typeintegerstart_datestringend_datestringpageintegerpage_sizeinteger请求示例
{
"wid": "432",
"to_wid": "581",
"search_date_type": 1,
"start_date": "2024-07-25",
"end_date": "2024-07-30",
"page": 1,
"page_size": 15
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
order_snstring必填widinteger必填to_widinteger必填opt_uidinteger必填opt_timestring必填order_amountnumber必填out_bin_typeinteger必填ware_house_bak_namestring必填to_ware_house_bak_namestring必填statusinteger必填status_textstring必填create_timestring必填create_uidinteger必填transfer_timestring必填transfer_uidinteger必填remarkstring必填freight_feenumber必填other_feenumber必填fee_part_typeinteger必填typeinteger必填receive_uidinteger必填receive_timestring必填finish_timestring必填finish_uidinteger必填increment_timestring必填outbound_order_snstring必填inbound_order_snstring必填opt_realnamestring必填create_realnamestring必填transfer_realnamestring必填receive_realnamestring必填finish_realnamestring必填fee_part_type_textstring必填out_bin_type_textstring必填item_listarray<object>必填隐藏子属性
product_idinteger必填skustring必填fnskustring必填product_totalinteger必填product_good_numinteger必填product_bad_numinteger必填pricenumber必填amountnumber必填seller_idinteger必填to_available_binstring必填to_inferior_binstring必填seller_namestring必填country_namestring必填product_namestring必填in_available_storage_bin_codestring必填in_inferior_storage_bin_codestring必填outboundListarray<object>必填隐藏子属性
whb_codestring必填whb_code_namestring必填product_numinteger必填whb_typeinteger必填whb_type_namestring必填out_stock_coststring必填pic_urlstring必填cg_package_lengthnumber必填cg_package_widthnumber必填cg_package_heightnumber必填cg_product_gross_weightnumber必填freight_fee_unitnumber必填other_fee_unitnumber必填product_remarkstring必填out_available_bin_listarray<object>必填隐藏子属性
whb_codestring必填whb_typeinteger必填whb_code_namestring必填whb_type_namestring必填product_numinteger必填out_inferior_bin_listarray<object>必填隐藏子属性
whb_codestring必填whb_typeinteger必填whb_code_namestring必填whb_type_namestring必填product_numinteger必填in_available_bin_listarray<object>必填隐藏子属性
whb_codestring必填whb_typeinteger必填whb_code_namestring必填whb_type_namestring必填product_numinteger必填in_inferior_bin_listarray<object>必填隐藏子属性
whb_codestring必填whb_typeinteger必填whb_code_namestring必填whb_type_namestring必填product_numinteger必填goodTotalNuminteger必填badTotalNuminteger必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "E9DE57E4-C265-7434-874B-C890A10BF515",
"response_time": "2022-12-14 17:54:53",
"data": [
{
"order_sn": "TF221214002",
"wid": 1,
"to_wid": 11,
"opt_uid": 129130,
"opt_time": "2022-12-14 17:49",
"order_amount": "0.000000",
"out_bin_type": 1,
"ware_house_bak_name": "仓库1",
"to_ware_house_bak_name": "仓库11",
"status": 5,
"create_time": "2022-12-14 15:36:02",
"create_uid": 129130,
"transfer_time": "",
"transfer_uid": 0,
"remark": "",
"freight_fee": "0.00",
"other_fee": "0.00",
"fee_part_type": 0,
"type": 2,
"receive_uid": 0,
"receive_time": "",
"finish_time": "",
"finish_uid": 0,
"increment_time": "2022-12-14 10:49:37",
"outbound_order_sn": null,
"inbound_order_sn": null,
"opt_realname": "欧树权",
"create_realname": "欧树权",
"transfer_realname": "",
"receive_realname": "",
"finish_realname": "",
"fee_part_type_text": "不分配",
"out_bin_type_text": "指定仓位",
"status_text": "待提交",
"item_list": [
{
"product_id": 2124879,
"sku": "rwb-chanpin2",
"fnsku": "",
"product_total": 3,
"product_good_num": 1,
"product_bad_num": 2,
"price": "0.000000",
"amount": "0.000000",
"seller_id": 0,
"cg_package_length": "0.00",
"cg_package_width": "0.00",
"cg_package_height": "0.00",
"cg_product_gross_weight": "0.00",
"freight_fee_unit": "0.0000",
"other_fee_unit": "0.0000",
"to_available_bin": "",
"to_inferior_bin": "",
"product_remark": "",
"seller_name": "",
"country_name": "",
"product_name": "rwb-chanpin2",
"out_available_bin_list": [
{
"whb_code": "ts_valid",
"whb_type": 2,
"whb_code_name": "可用暂存",
"whb_type_name": "可用暂存",
"product_num": 1,
"product_id": 2124879,
"sku": "rwb-chanpin2",
"seller_id": 0,
"fnsku": ""
}
],
"out_inferior_bin_list": [
{
"whb_code": "RB-001",
"whb_type": 6,
"whb_code_name": "RB-001",
"whb_type_name": "次品",
"product_num": 2,
"product_id": 2124879,
"sku": "rwb-chanpin2",
"seller_id": 0,
"fnsku": ""
}
],
"in_available_bin_list": [
{
"whb_code": "ts_valid",
"whb_type": 2,
"whb_code_name": "可用暂存",
"whb_type_name": "可用暂存",
"product_num": 1,
"product_id": 2124879,
"sku": "rwb-chanpin2",
"seller_id": 0,
"fnsku": ""
}
],
"in_inferior_bin_list": [
{
"whb_code": "ts_bad",
"whb_type": 3,
"whb_code_name": "次品暂存",
"whb_type_name": "次品暂存",
"product_num": 2,
"product_id": 2124879,
"sku": "rwb-chanpin2",
"seller_id": 0,
"fnsku": ""
}
],
"in_available_storage_bin_code": "",
"in_inferior_storage_bin_code": "",
"outboundList": [
{
"whb_code": "ts_valid",
"whb_type": 2,
"whb_code_name": "可用暂存",
"whb_type_name": "可用暂存",
"product_num": 1,
"product_id": 2124879,
"sku": "rwb-chanpin2",
"seller_id": 0,
"fnsku": ""
},
{
"whb_code": "RB-001",
"whb_type": 6,
"whb_code_name": "RB-001",
"whb_type_name": "次品",
"product_num": 2,
"product_id": 2124879,
"sku": "rwb-chanpin2",
"seller_id": 0,
"fnsku": ""
}
],
"out_stock_cost": "0.0000",
"pic_url": "https://image.distributetop.com/erp-vue/90124993550340096/20221206/f1bb7ed736e249cc969ad70c8a5d148c.jpeg"
}
],
"goodTotalNum": 1,
"badTotalNum": 2
}
],
"total": 1
}